Data Attributes

The following ready-to-use attributes are provided:

- Shape attributes, which contain shapes and their evolution

- Standard attributes, a collection of common CAD/CAM attributes including:

- Real

- Integer

- Name

- Constrain

- Visualization attributes, which implement AIS viewer capabilities using application data (For more information on AIS, see section AIS of the Visualization Chapter.)

- Function attributes which regenerate any data affected by modifications made in a document

If you have more questions on attributes, read the OCAF User's Guide (pdf format).